openSUSE Security Update : nodejs8 (openSUSE-2020-59)

medium Nessus Plugin ID 132920
New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it is different from CVSS.

VPR Score: 6

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for nodejs8 to version 8.17.0 fixes the following issues :

Security issues fixed :

- CVE-2019-16777, CVE-2019-16776, CVE-2019-16775: Updated npm to 6.13.4, fixing an arbitrary path overwrite and access via 'bin' field (bsc#1159352).

This update was imported from the SUSE:SLE-15:Update update project.

Solution

Update the affected nodejs8 packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1149792

https://bugzilla.opensuse.org/show_bug.cgi?id=1159352

Plugin Details

Severity: Medium

ID: 132920

File Name: openSUSE-2020-59.nasl

Version: 1.2

Type: local

Agent: unix

Published: 1/15/2020

Updated: 1/17/2020

Dependencies: ssh_get_info.nasl

Risk Information

Risk Factor: Medium

VPR Score: 6

CVSS Score Source: CVE-2019-16777

CVSS v2.0

Base Score: 5.5

Temporal Score: 4.1

Vector: CVSS2#AV:N/AC:L/Au:S/C:N/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 6.5

Temporal Score: 5.7

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:N

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:2.3:o:novell:opensuse:15.1:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:nodejs8:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:nodejs8-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:nodejs8-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:nodejs8-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:npm8:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 1/14/2020

Vulnerability Publication Date: 12/13/2019

Reference Information

CVE: CVE-2019-16777, CVE-2019-16775, CVE-2019-16776